aboutsummaryrefslogtreecommitdiffhomepage
path: root/bin/shell
diff options
context:
space:
mode:
Diffstat (limited to 'bin/shell')
-rwxr-xr-xbin/shell12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/shell b/bin/shell
new file mode 100755
index 0000000..d699a14
--- /dev/null
+++ b/bin/shell
@@ -0,0 +1,12 @@
+#!/bin/sh
+# set up autoloads<?php echo "\n"; goto skipShell; ?>
+cd "$(dirname "$0")/../" || exit 1
+php -a -d auto_prepend_file=bin/shell
+exit
+
+<?php skipShell:
+require __DIR__ . '/../vendor/autoload.php';
+foreach (glob(__DIR__ . '/../misc/*.php') as $filename) {
+ require $filename;
+}
+